<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: UavMultiplex.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_uav_multiplex_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UavMultiplex.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_uav_multiplex_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef UAVMULTIPLEX_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define UAVMULTIPLEX_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>io_data;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">class </span>Layout;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">class </span>UavMultiplex_impl;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_uav_multiplex.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">UavMultiplex</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a3c2eee3c6dff30b093501a7ed8df8a4f">UavMultiplex</a>(std::string name);</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a6e164ab1ddc7017e86a890e2fe4755a0">~UavMultiplex</a>();</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a355b6f35700da8036bab83040ab04ee9">SetRoll</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a8d9552b36d8c4f001659c4c4872cafc9">SetPitch</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#ab63686eef3ef921295f61b4df1bc8045">SetYaw</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#acce7153720afb9f7478dd3293095eeff">SetThrust</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a1af4f73fed0a968402d4097b92700824">SetRollTrim</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a15be6ffdc0e91df15243490d6272035a">SetPitchTrim</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0">SetYawTrim</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#aa9a7e053431c9a266df9754da194132d">Update</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">core::Time</a> time);</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#ad60d60974b3e894b6bae8e39665bb24b">LockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a23e3ac59f663aaa24ec55b83f0b5356d">UnlockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout.html">gui::Layout</a> *<a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a63dba872eba84db813de06dc654e028a">GetLayout</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div>
<div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f">  158</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f">UseDefaultPlot</a>(<span class="keywordtype">void</span>){};</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;  <span class="keyword">virtual</span> uint8_t <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a2b713ad5d45ef52cb8214d9b195bb287">MotorsCount</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span> = 0;</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a920cc79e53e8b342c364cf6666d5387c">MultiplexValue</a>(<span class="keywordtype">int</span> index) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *<a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a953b44b3c4394b442ef7387f5103ec21">GetTabWidget</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html#a89c5aab7862fa56db7dc1d8b40be25ce">SetMultiplexComboBox</a>(std::string name, <span class="keywordtype">int</span> index);</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data) = 0;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;  UavMultiplex_impl *pimpl_;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;};</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;<span class="preprocessor">#endif // UAVMULTIPLEX_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a1af4f73fed0a968402d4097b92700824"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a1af4f73fed0a968402d4097b92700824">flair::filter::UavMultiplex::SetRollTrim</a></div><div class="ttdeci">void SetRollTrim(float value)</div><div class="ttdoc">Set roll trim. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a15be6ffdc0e91df15243490d6272035a"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a15be6ffdc0e91df15243490d6272035a">flair::filter::UavMultiplex::SetPitchTrim</a></div><div class="ttdeci">void SetPitchTrim(float value)</div><div class="ttdoc">Set pitch trim. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a920cc79e53e8b342c364cf6666d5387c"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a920cc79e53e8b342c364cf6666d5387c">flair::filter::UavMultiplex::MultiplexValue</a></div><div class="ttdeci">int MultiplexValue(int index) const </div><div class="ttdoc">Multiplex value. </div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a6e164ab1ddc7017e86a890e2fe4755a0"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a6e164ab1ddc7017e86a890e2fe4755a0">flair::filter::UavMultiplex::~UavMultiplex</a></div><div class="ttdeci">~UavMultiplex()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_aa9a7e053431c9a266df9754da194132d"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#aa9a7e053431c9a266df9754da194132d">flair::filter::UavMultiplex::Update</a></div><div class="ttdeci">void Update(core::Time time)</div><div class="ttdoc">Update using provided datas. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_acce7153720afb9f7478dd3293095eeff"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#acce7153720afb9f7478dd3293095eeff">flair::filter::UavMultiplex::SetThrust</a></div><div class="ttdeci">void SetThrust(float value)</div><div class="ttdoc">Set thrust. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html">flair::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:33</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html">flair::filter::UavMultiplex</a></div><div class="ttdoc">Class defining uav multiplexing. </div><div class="ttdef"><b>Definition:</b> UavMultiplex.h:37</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a63dba872eba84db813de06dc654e028a"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a63dba872eba84db813de06dc654e028a">flair::filter::UavMultiplex::GetLayout</a></div><div class="ttdeci">gui::Layout * GetLayout(void) const </div><div class="ttdoc">Layout. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a953b44b3c4394b442ef7387f5103ec21"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a953b44b3c4394b442ef7387f5103ec21">flair::filter::UavMultiplex::GetTabWidget</a></div><div class="ttdeci">gui::TabWidget * GetTabWidget(void) const </div><div class="ttdoc">Get TabWidget. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a3c2eee3c6dff30b093501a7ed8df8a4f"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a3c2eee3c6dff30b093501a7ed8df8a4f">flair::filter::UavMultiplex::UavMultiplex</a></div><div class="ttdeci">UavMultiplex(std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a23e3ac59f663aaa24ec55b83f0b5356d"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a23e3ac59f663aaa24ec55b83f0b5356d">flair::filter::UavMultiplex::UnlockUserInterface</a></div><div class="ttdeci">void UnlockUserInterface(void) const </div><div class="ttdoc">Unlock user interface. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a89c5aab7862fa56db7dc1d8b40be25ce"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a89c5aab7862fa56db7dc1d8b40be25ce">flair::filter::UavMultiplex::SetMultiplexComboBox</a></div><div class="ttdeci">void SetMultiplexComboBox(std::string name, int index)</div><div class="ttdoc">Set multiplex ComboBox. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a2b713ad5d45ef52cb8214d9b195bb287"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a2b713ad5d45ef52cb8214d9b195bb287">flair::filter::UavMultiplex::MotorsCount</a></div><div class="ttdeci">virtual uint8_t MotorsCount(void) const =0</div><div class="ttdoc">Motors count. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_ac8938ae194aa4cb399ac87fc0acd10b0"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0">flair::filter::UavMultiplex::SetYawTrim</a></div><div class="ttdeci">void SetYawTrim(float value)</div><div class="ttdoc">Set yaw trim. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_ad60d60974b3e894b6bae8e39665bb24b"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#ad60d60974b3e894b6bae8e39665bb24b">flair::filter::UavMultiplex::LockUserInterface</a></div><div class="ttdeci">void LockUserInterface(void) const </div><div class="ttdoc">Lock user interface. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_abe109c8fdbdb72badd5947f38e344e6f"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f">flair::filter::UavMultiplex::UseDefaultPlot</a></div><div class="ttdeci">virtual void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div><div class="ttdef"><b>Definition:</b> UavMultiplex.h:158</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a8d9552b36d8c4f001659c4c4872cafc9"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a8d9552b36d8c4f001659c4c4872cafc9">flair::filter::UavMultiplex::SetPitch</a></div><div class="ttdeci">void SetPitch(float value)</div><div class="ttdoc">Set pitch torque. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_ab63686eef3ef921295f61b4df1bc8045"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#ab63686eef3ef921295f61b4df1bc8045">flair::filter::UavMultiplex::SetYaw</a></div><div class="ttdeci">void SetYaw(float value)</div><div class="ttdoc">Set yaw torque. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_uav_multiplex_html_a355b6f35700da8036bab83040ab04ee9"><div class="ttname"><a href="classflair_1_1filter_1_1_uav_multiplex.html#a355b6f35700da8036bab83040ab04ee9">flair::filter::UavMultiplex::SetRoll</a></div><div class="ttdeci">void SetRoll(float value)</div><div class="ttdoc">Set roll torque. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_c640b400eb634d478af9606dd6c9f1e6.html">FlairFilter</a></li><li class="navelem"><a class="el" href="dir_9f4b49da50e680b0f2ceec11232e4cfd.html">src</a></li><li class="navelem"><a class="el" href="_uav_multiplex_8h.html">UavMultiplex.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
